Scalable OGo (SOGo)

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004240SOGoActiveSyncpublic2017-07-31 10:432017-09-07 08:48
Reporterrazaidlitz 
Assigned Toludovic 
PriorityimmediateSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version14.04 LTS
Product Version3.2.9 
Target VersionFixed in Version 
Summary0004240: hebrew folders encoding problem
DescriptionHey,
we have a problem which appears only when using active sync.
if i create folder in hebrew i will see it well in sogo webmail
but in outlook or phone (connected with activesync) ill see it in its encoded name. for example= &BegF1gXoBdYF6AXW- folder's name=??????
the weirdest thing is,if ill open subfolder in inbox or other existent folder
it will show it correctly in outlook.

please help

Thank you

Raz
TagsNo tags attached.
Attached Filespng file icon razas3.png [^] (12,977 bytes) 2017-07-31 10:43

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0004274resolvedludovic Mail Folder - Name with wrong encoding in all clients tested 

-  Notes
(0012271)
razaidlitz (reporter)
2017-09-07 02:54

Hey ludovic,
Thank you for resolving this issue!
Can you please explain how can I resolve it in my own sogo which is in production?

Thank you!

Raz
User avatar (0012274)
ludovic (administrator)
2017-09-07 08:48

Wait for the upcoming v3.3 release (with a proper support contract) or get a nightly build (not always recommended for production deployments.

- Related Changesets
sogo: master 7e4e2863
Timestamp: 2017-09-06 10:24:18
Author: ludovic
Details ] Diff ]
(fix) properly decode IMAP encoded folder names (fixes 0004240)
mod - ActiveSync/SOGoActiveSyncDispatcher.m Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-31 10:43 razaidlitz New Issue
2017-07-31 10:43 razaidlitz File Added: razas3.png
2017-08-11 13:18 ludovic Severity major => minor
2017-09-06 08:06 ludovic Relationship added has duplicate 0004274
2017-09-06 10:25 ludovic Changeset attached => sogo master 7e4e2863
2017-09-06 10:25 ludovic Assigned To => ludovic
2017-09-06 10:25 ludovic Resolution open => fixed
2017-09-06 10:27 ludovic Status new => resolved
2017-09-07 02:54 razaidlitz Note Added: 0012271
2017-09-07 02:54 razaidlitz Status resolved => feedback
2017-09-07 02:54 razaidlitz Resolution fixed => reopened
2017-09-07 08:48 ludovic Note Added: 0012274
2017-09-07 08:48 ludovic Status feedback => resolved
2017-09-07 08:48 ludovic Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker